Use this API to serve feature flags to an Unleash-compatible client, and to register that client and receive its metrics. Generally these endpoints are used by an Unleash client and are not meant for manual consumption.
Get Unleash features
GET /api/v4/feature_flags/unleash/{project_id}
Parameters
| Name | Type | Description |
|---|---|---|
project_Path, | String | ID of the project |
instance_Query | String | Instance ID of Unleash Client |
app_Query | String | Application name of Unleash Client |
Responses
| Code | Description | Schema |
|---|---|---|
200 | OK | — |
400 | Bad Request | — |
404 | Not Found | — |
Get a list of features
GET /api/v4/feature_flags/unleash/{project_id}/client/features
Parameters
| Name | Type | Description |
|---|---|---|
project_Path, | String | ID of the project |
instance_Query | String | Instance ID of Unleash Client |
app_Query | String | Application name of Unleash Client |
Responses
| Code | Description | Schema |
|---|---|---|
200 | OK | — |
400 | Bad Request | — |
404 | Not Found | — |
Report Unleash client metrics
POST /api/v4/feature_flags/unleash/{project_id}/client/metrics
Parameters
| Name | Type | Description |
|---|---|---|
project_Path, | String | ID of the project |
Request body (application/json)
| Property | Type | Description |
|---|---|---|
app_ | String | Application name of Unleash Client |
instance_ | String | Instance ID of Unleash Client |
Responses
| Code | Description | Schema |
|---|---|---|
201 | Created | — |
400 | Bad Request | — |
404 | Not Found | — |
Register Unleash client
POST /api/v4/feature_flags/unleash/{project_id}/client/register
Parameters
| Name | Type | Description |
|---|---|---|
project_Path, | String | ID of the project |
Request body (application/json)
| Property | Type | Description |
|---|---|---|
app_ | String | Application name of Unleash Client |
instance_ | String | Instance ID of Unleash Client |
Responses
| Code | Description | Schema |
|---|---|---|
201 | Created | — |
400 | Bad Request | — |
404 | Not Found | — |
Get a list of features (v2 client support) (deprecated)
GET /api/v4/feature_flags/unleash/{project_id}/features
Deprecated in GitLab 15.6
Parameters
| Name | Type | Description |
|---|---|---|
project_Path, | String | ID of the project |
instance_Query | String | Instance ID of Unleash Client |
app_Query | String | Application name of Unleash Client |
Responses
| Code | Description | Schema |
|---|---|---|
200 | OK | — |
400 | Bad Request | — |
404 | Not Found | — |